import { jsx } from "react/jsx-runtime";
import { TokenMETF as TokenMETF$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMETF = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "METF", "data-name": "TokenMETF", ...props, children: /* @__PURE__ */ jsx(TokenMETF$1, { variant }) });
  }
);
TokenMETF.displayName = "TokenMETF";
Object.assign(TokenMETF, { isGdsIcon: true });
export {
  TokenMETF
};
